package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag292;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT292Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT292Creator mt292Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt292Creator= (MT292Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt292Creator.getTransactionReferenceNumber();
        mt292Creator.set("20", tag20Value);
    }
}
